Change Password
curl --request POST \
--url https://api.replyke.com/api/v6/:projectId/auth/change-password \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"newPassword": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/auth/change-password"
payload = {
"password": "<string>",
"newPassword": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>', newPassword: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/auth/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Auth Endpoints
Change Password
Change the password for an authenticated user
POST
/
:projectId
/
auth
/
change-password
Change Password
Allows an authenticated user to change their password by verifying the current password and setting a new one.
Body Parameters
The user’s current password for verification
The new password to set (will be securely hashed)
Response
Indicates whether the password was changed successfully
Confirmation message
Error Responses
Missing Fields - 400 Bad Request
Missing Fields - 400 Bad Request
{
"error": "Email, password, and a new password are all required.",
"code": "auth/missing-fields"
}
User Not Found - 403 Forbidden
User Not Found - 403 Forbidden
{
"error": "User not found.",
"code": "auth/no-user-found"
}
User Not Password Authenticated - 400 Bad Request
User Not Password Authenticated - 400 Bad Request
{
"error": "User is not authenticated with email and password.",
"code": "auth/not-password-authenticated"
}
Incorrect Password - 401 Unauthorized
Incorrect Password - 401 Unauthorized
{
"error": "Incorrect password.",
"code": "auth/wrong-password"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "auth/server-error",
"details": "<Error message>"
}
Notes
- Only users authenticated via email and password can change their password.
- The current password must be correct.
- New password is hashed and stored securely.
⌘I

